--- orig.CMakeLists.txt	2014-09-19 14:30:04.000000000 +0200
+++ CMakeLists.txt	2014-10-03 18:55:38.000000000 +0200
@@ -194,7 +194,7 @@
 
 
 include(ConfigureChecks.cmake)
-if(NOT WIN32)
+if(NOT WIN32 AND NOT APPLE)
   configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
   configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
   if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
@@ -221,15 +221,17 @@
 
 # core apps
 if(NOT WIN32)
-   macro_optional_add_subdirectory( kcheckpass )
-   macro_optional_add_subdirectory( kwin )
-   macro_optional_add_subdirectory( ksmserver )
-
-   find_package(JPEG REQUIRED)
-   find_package(PNG REQUIRED)
-   macro_optional_add_subdirectory( ksplash )
+   if(NOT APPLE)
+      macro_optional_add_subdirectory( kcheckpass )
+      macro_optional_add_subdirectory( kwin )
+      macro_optional_add_subdirectory( ksmserver )
+
+      find_package(JPEG REQUIRED)
+      find_package(PNG REQUIRED)
+      macro_optional_add_subdirectory( ksplash )
 
-   macro_optional_add_subdirectory( powerdevil )
+      macro_optional_add_subdirectory( powerdevil )
+   endif(NOT APPLE)
    macro_optional_add_subdirectory( qguiplatformplugin_kde )
    if (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
       macro_optional_add_subdirectory( ksysguard )
@@ -238,14 +240,16 @@
 
 if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
    macro_optional_add_subdirectory(kcontrol)
-   macro_optional_add_subdirectory(klipper)
-   macro_optional_add_subdirectory(kmenuedit)
-   macro_optional_add_subdirectory(krunner)
-   macro_optional_add_subdirectory(solid-actions-kcm)
-   macro_optional_add_subdirectory(kstartupconfig)
-   macro_optional_add_subdirectory(freespacenotifier)
-   macro_optional_add_subdirectory(kscreensaver)
-   macro_optional_add_subdirectory(kinfocenter)
+   if(NOT APPLE)
+      macro_optional_add_subdirectory(klipper)
+      macro_optional_add_subdirectory(kmenuedit)
+      macro_optional_add_subdirectory(krunner)
+      macro_optional_add_subdirectory(solid-actions-kcm)
+      macro_optional_add_subdirectory(kstartupconfig)
+      macro_optional_add_subdirectory(freespacenotifier)
+      macro_optional_add_subdirectory(kscreensaver)
+      macro_optional_add_subdirectory(kinfocenter)
+   endif(NOT APPLE)
 
    # data
    macro_optional_add_subdirectory(doc)
@@ -254,7 +258,7 @@
       macro_optional_add_subdirectory(ktouchpadenabler)
    endif (Q_WS_X11)
 
-   if(NOT WIN32)
+   if(NOT WIN32 AND NOT APPLE)
       macro_optional_add_subdirectory(kcminit)
       macro_optional_add_subdirectory(khotkeys)
       macro_optional_add_subdirectory(kwrited)
@@ -269,17 +273,19 @@
    endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
 endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
 
-if(NOT WIN32)
+if(NOT WIN32 AND NOT APPLE)
     # data
     macro_optional_add_subdirectory(cursors)
 endif(NOT WIN32)
 
-macro_optional_add_subdirectory(plasma)
+if(NOT APPLE)
+   macro_optional_add_subdirectory(plasma)
+endif(NOT APPLE)
 macro_optional_add_subdirectory(statusnotifierwatcher)
 macro_optional_add_subdirectory(kstyles)
 
 ########### install files ###############
-if(NOT WIN32)
+if(NOT WIN32 AND NOT APPLE)
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
 endif(NOT WIN32)
 
